Skip to Content
Tracira
API referenceSettings

Get workspace settings and usage

gethttps://www.tracira.com/api/settings
GET
/api/settings

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

Response Body

Settings snapshot for the active workspace.

application/json
  1. response
id*string
name*string
workspaceName*string
color?string|null
webhookToken?string|null
apiKey?string|null
notifyOnFlag?boolean
notifyOnFail?boolean
notificationEmail?string|null
slackNotificationsEnabled?boolean
emailNotificationsEnabled?boolean
webhookEnabled?boolean
outboundWebhookUrl?string|null
outboundWebhookEvents?string|null
openaiJudgeModel?string|null
anthropicJudgeModel?string|null
openrouterJudgeModel?string|null
defaultJudgeProvider?|
Value in"anthropic""openai""openrouter"
currentUserRole*string
canManageWorkspace*boolean
billing?
usage*
[key: string]?any
Example Request
curl -X GET 'https://www.tracira.com/api/settings'
Example Response
{  "id": "string",  "name": "string",  "workspaceName": "string",  "color": "string",  "webhookToken": "string",  "apiKey": "string",  "notifyOnFlag": true,  "notifyOnFail": true,  "notificationEmail": "string",  "slackNotificationsEnabled": true,  "emailNotificationsEnabled": true,  "webhookEnabled": true,  "outboundWebhookUrl": "string",  "outboundWebhookEvents": "string",  "openaiJudgeModel": "string",  "anthropicJudgeModel": "string",  "openrouterJudgeModel": "string",  "defaultJudgeProvider": "anthropic",  "currentUserRole": "string",  "canManageWorkspace": true,  "billing": {},  "usage": {}}